cURL
curl --request POST \
--url https://app.teable.ai/api/access-token \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true,"expiredTime":"2024-03-25"}'const url = 'https://app.teable.ai/api/access-token';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","scopes":["string"],"spaceIds":["string"],"baseIds":["string"],"hasFullAccess":true,"expiredTime":"2024-03-25"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/access-token',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
scopes: ['string'],
spaceIds: ['string'],
baseIds: ['string'],
hasFullAccess: true,
expiredTime: '2024-03-25'
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"scopes\":[\"string\"],\"spaceIds\":[\"string\"],\"baseIds\":[\"string\"],\"hasFullAccess\":true,\"expiredTime\":\"2024-03-25\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/access-token", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"expiredTime": "<string>",
"token": "<string>",
"createdTime": "<string>",
"lastUsedTime": "<string>",
"description": "<string>",
"spaceIds": [
"<string>"
],
"baseIds": [
"<string>"
],
"hasFullAccess": true
}access-token
Post access token
Create access token
POST
/
access-token
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Returns access token.
Last modified on March 5, 2026
Was this page helpful?
⌘I

